Runtime

## org.eclipse.gmf.runtime.diagram.ui.render.editparts
Class AbstractImageEditPart.PreferencePropertyChangeListener

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.render.editparts.AbstractImageEditPart.PreferencePropertyChangeListener

All Implemented Interfaces:
  java.util.EventListener, IPropertyChangeListener

Enclosing class:
  AbstractImageEditPart

protected class AbstractImageEditPart.PreferencePropertyChangeListener
extends java.lang.Object
implements IPropertyChangeListener

Listener for the PreferenceStore. Listen and respond for changes to the drop shadow preference store value.

Constructor Summary
`protected` `AbstractImageEditPart.PreferencePropertyChangeListener()`

Method Summary
`void` `propertyChange(PropertyChangeEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractImageEditPart.PreferencePropertyChangeListener

    protected AbstractImageEditPart.PreferencePropertyChangeListener()

Method Detail

### propertyChange

    public void propertyChange(PropertyChangeEvent event)

  Specified by:
    `propertyChange` in interface `IPropertyChangeListener`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.